bots.listBotMembers
GET
/v1/bots/{botId}/members
const url = 'https://example.com/v1/bots/example/members';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/bots/example/members \ --header 'Authorization: Bearer <token>'Lists the people who use this Bot in their own organizations. It needs bots.share.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”botId
required
string
Responses
Section titled “Responses”Success
Media typeapplication/json
Array<object>
object
userId
required
string
organizationId
required
string
linked
required
string
joinedAt
required
number
Example generated
[ { "userId": "example", "organizationId": "example", "linked": "example", "joinedAt": 1 }]BotInvalid | OrganizationRequired
AuthenticationRequired
Media typeapplication/json
object
_tag
required
string
Example
{ "_tag": "AuthenticationRequired"}@nmnmcc/ability/Authorizer/Forbidden | MembershipRequired | ForbiddenOrigin
BotNotFound
Media typeapplication/json
object
_tag
required
string
bot
required
string
Example
{ "_tag": "BotNotFound"}@nmnmcc/ability/Authorizer/Pending | BotConflict
RateLimited
Media typeapplication/json
object
_tag
required
string
retryAfterSeconds
required
integer
Example
{ "_tag": "RateLimited"}BotStorageUnavailable | AuthenticationUnavailable | RequestFailed